import React, { FC } from 'react'
import { Modal as AntdModal, ModalProps as AntdModalProps } from 'antd'
import { ReactComponent as CloseIcon } from '../../icons/close.svg'

export type ModalProps = Omit<AntdModalProps, 'footer' | 'closeIcon' | 'title' | 'okText' | 'okType' | 'okButtonProps' | 'cancelText' | 'cancelButtonProps'>
export const Modal: FC<ModalProps> = (props) => {
	return <AntdModal centered {...props} footer={null} closeIcon={<CloseIcon />} />
}
